Package com.emc.d2fs.models.template

# Class Template

java.lang.Object
com.emc.d2fs.models.template.Template

All Implemented Interfaces:
  `Serializable`

public class Template extends Object implements Serializable

Java class for template complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="template">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id use="required""/>
           <attribute name="label" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="title" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="description" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="previewUrl" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="previewMime" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="isD2Template" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="contentLessTemplate" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Template()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the value of the description property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLabel()`
  Gets the value of the label property.
  `String`
  `getPreviewMime()`
  Gets the value of the previewMime property.
  `String`
  `getPreviewUrl()`
  Gets the value of the previewUrl property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `boolean`
  `isContentLessTemplate()`
  Gets the value of the contentLessTemplate property.
  `boolean`
  `isIsD2Template()`
  Gets the value of the isD2Template property.
  `void`
  `setContentLessTemplate(Boolean value)`
  Sets the value of the contentLessTemplate property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setIsD2Template(Boolean value)`
  Sets the value of the isD2Template property.
  `void`
  `setLabel(String value)`
  Sets the value of the label property.
  `void`
  `setPreviewMime(String value)`
  Sets the value of the previewMime property.
  `void`
  `setPreviewUrl(String value)`
  Sets the value of the previewUrl property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Template

    public Template()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLabel

    public String getLabel()
    Gets the value of the label property.
    Returns:
      possible object is `String`

  - ### setLabel

    public void setLabel(String value)
    Sets the value of the label property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPreviewUrl

    public String getPreviewUrl()
    Gets the value of the previewUrl property.
    Returns:
      possible object is `String`

  - ### setPreviewUrl

    public void setPreviewUrl(String value)
    Sets the value of the previewUrl property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPreviewMime

    public String getPreviewMime()
    Gets the value of the previewMime property.
    Returns:
      possible object is `String`

  - ### setPreviewMime

    public void setPreviewMime(String value)
    Sets the value of the previewMime property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIsD2Template

    public boolean isIsD2Template()
    Gets the value of the isD2Template property.
    Returns:
      possible object is `Boolean`

  - ### setIsD2Template

    public void setIsD2Template(Boolean value)
    Sets the value of the isD2Template property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isContentLessTemplate

    public boolean isContentLessTemplate()
    Gets the value of the contentLessTemplate property.
    Returns:
      possible object is `Boolean`

  - ### setContentLessTemplate

    public void setContentLessTemplate(Boolean value)
    Sets the value of the contentLessTemplate property.
    Parameters:
      `value` - allowed object is `Boolean`